


#include "user.H"
#include "rf.H"

byte data_code;
//byte led_cnt;

void moto_deal(void)
{
	if(data_code.0)
	{
		io_moto_b=0;
		io_moto_f=1;
	}
	else
	if(data_code.1)
	{
		io_moto_f=0;
		io_moto_b=1;
	}
	else
	{
		io_moto_f=0;
		io_moto_b=0;
	}

	if(data_code.2)
	{
		io_moto_l=0;
		io_moto_r=1;
	}
	else
	if(data_code.3)
	{
		io_moto_r=0;
		io_moto_l=1;
	}
	else
	{
		io_moto_r=0;
		io_moto_l=0;
	}

	if(!no_rf_delay)
	{
		io_moto_f=0;
		io_moto_b=0;
		io_moto_r=0;
		io_moto_l=0;
		data_code=0;
	}




}



void led_deal(void)
{
	if(data_code)
	{
		io_led_f=1;
	}
	else
	{
		io_led_f=0;
	}
/*	if((data_code.3)||(data_code.2))
	{
		if(!led_cnt)
		{
			led_cnt=100;

			if(io_led_f)
			{
				io_led_f=0;
				io_led_b=0;
			}
			else
			{
				io_led_f=1;
				io_led_b=1;
			}
		}

	}
	else
	if(data_code.0)
	{
		io_led_f=1;
		io_led_b=0;

	}
	else
	if(data_code.1)
	{
		io_led_f=0;
		io_led_b=1;
	}
	else
	{
		io_led_f=0;
		io_led_b=0;
	}
*/

}










